[SOLVED] Server bootet nach aktuellen Update auf neuesten Kernel nicht mehr

harry1983

Member
Feb 17, 2022
72
14
13
41
Nach dem heutigen großen Update von PVE Version 8.0.9 auf Version 8.1.3 mit dem neuen Kernel 6.5.11-4-pve hat mein Server nicht mehr gebootet. Er ist im Screen "Loading Kernel 6.5.11-4-pve" hängen geblieben. Habe es mehrmals versucht, leider immer das gleiche Ergebnis.

Nachdem ich mit Kernel 6.2.16-19-pve wieder hochfahren konnte, wollte ich wissen ob es ein Log gibt wo ich nachsehen kann was das Problem war. In den Logs "syslog" & "kern" finde ich genau nichts, denn zwischen dem Herunterfahren und dem Hochbooten mit dem Kernel 6.2 ist nichts drinnen.

Hat jemand eine Idee?

Mein System ist ein Intel i5-11500 auf einem Asus Pro Q570M-C Mainboard.

Danke vorab

lg Harry
 
irgendwelche dkms/third-party module aktiviert? irgendwelche fehler/warnungen beim upgrade gekriegt? (/var/log/apt/term.log falls du dich nicht mehr erinnerst ;))
 
irgendwelche dkms/third-party module aktiviert? irgendwelche fehler/warnungen beim upgrade gekriegt? (/var/log/apt/term.log falls du dich nicht mehr erinnerst ;))

Servus Fabian

Hm laut term.log ist tatsächlich ein Error drinnen:

Code:
Log started: 2023-11-23  18:07:56
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 189592 files and directories currently installed.)
Preparing to unpack .../00-grub2-common_2.06-13+pmx1_amd64.deb ...
Unpacking grub2-common (2.06-13+pmx1) over (2.06-13+deb12u1) ...
Preparing to unpack .../01-grub-pc_2.06-13+pmx1_amd64.deb ...
Unpacking grub-pc (2.06-13+pmx1) over (2.06-13+deb12u1) ...
Preparing to unpack .../02-grub-pc-bin_2.06-13+pmx1_amd64.deb ...
Unpacking grub-pc-bin (2.06-13+pmx1) over (2.06-13+deb12u1) ...
Preparing to unpack .../03-grub-efi-amd64-bin_2.06-13+pmx1_amd64.deb ...
Unpacking grub-efi-amd64-bin (2.06-13+pmx1) over (2.06-13+deb12u1) ...
Preparing to unpack .../04-grub-common_2.06-13+pmx1_amd64.deb ...
Unpacking grub-common (2.06-13+pmx1) over (2.06-13+deb12u1) ...
Selecting previously unselected package libsocket6-perl.
Preparing to unpack .../05-libsocket6-perl_0.29-3_amd64.deb ...
Unpacking libsocket6-perl (0.29-3) ...
Selecting previously unselected package libnet-subnet-perl.
Preparing to unpack .../06-libnet-subnet-perl_1.03-2_all.deb ...
Unpacking libnet-subnet-perl (1.03-2) ...
Preparing to unpack .../07-libpve-storage-perl_8.0.5_all.deb ...
Unpacking libpve-storage-perl (8.0.5) over (8.0.4) ...
Preparing to unpack .../08-libpve-common-perl_8.1.0_all.deb ...
Unpacking libpve-common-perl (8.1.0) over (8.0.10) ...
Preparing to unpack .../09-libpve-guest-common-perl_5.0.6_all.deb ...
Unpacking libpve-guest-common-perl (5.0.6) over (5.0.5) ...
Preparing to unpack .../10-pve-qemu-kvm_8.1.2-4_amd64.deb ...
Unpacking pve-qemu-kvm (8.1.2-4) over (8.1.2-3) ...
Preparing to unpack .../11-qemu-server_8.0.10_amd64.deb ...
Unpacking qemu-server (8.0.10) over (8.0.8) ...
Preparing to unpack .../12-proxmox-mail-forward_0.2.2_amd64.deb ...
Unpacking proxmox-mail-forward (0.2.2) over (0.2.1) ...
Preparing to unpack .../13-proxmox-widget-toolkit_4.1.3_all.deb ...
Unpacking proxmox-widget-toolkit (4.1.3) over (4.1.1) ...
Preparing to unpack .../14-pve-container_5.0.8_all.deb ...
Unpacking pve-container (5.0.8) over (5.0.6) ...
Preparing to unpack .../15-pve-docs_8.1.3_all.deb ...
Unpacking pve-docs (8.1.3) over (8.0.5) ...
Preparing to unpack .../16-pve-i18n_3.1.2_all.deb ...
Unpacking pve-i18n (3.1.2) over (3.0.7) ...
Preparing to unpack .../17-pve-manager_8.1.3_amd64.deb ...
Unpacking pve-manager (8.1.3) over (8.0.9) ...
Selecting previously unselected package libpve-network-perl.
Preparing to unpack .../18-libpve-network-perl_0.9.4_all.deb ...
Unpacking libpve-network-perl (0.9.4) ...
Selecting previously unselected package proxmox-headers-6.5.11-4-pve.
Preparing to unpack .../19-proxmox-headers-6.5.11-4-pve_6.5.11-4_amd64.deb ...
Unpacking proxmox-headers-6.5.11-4-pve (6.5.11-4) ...
Selecting previously unselected package proxmox-headers-6.5.
Preparing to unpack .../20-proxmox-headers-6.5_6.5.11-4_all.deb ...
Unpacking proxmox-headers-6.5 (6.5.11-4) ...
Preparing to unpack .../21-proxmox-default-headers_1.0.1_all.deb ...
Unpacking proxmox-default-headers (1.0.1) over (1.0.0) ...
Selecting previously unselected package proxmox-kernel-6.5.11-4-pve-signed.
Preparing to unpack .../22-proxmox-kernel-6.5.11-4-pve-signed_6.5.11-4_amd64.deb ...
Unpacking proxmox-kernel-6.5.11-4-pve-signed (6.5.11-4) ...
Selecting previously unselected package proxmox-kernel-6.5.
Preparing to unpack .../23-proxmox-kernel-6.5_6.5.11-4_all.deb ...
Unpacking proxmox-kernel-6.5 (6.5.11-4) ...
Preparing to unpack .../24-proxmox-default-kernel_1.0.1_all.deb ...
Unpacking proxmox-default-kernel (1.0.1) over (1.0.0) ...
Preparing to unpack .../25-proxmox-kernel-helper_8.0.9_all.deb ...
Unpacking proxmox-kernel-helper (8.0.9) over (8.0.5) ...
Preparing to unpack .../26-proxmox-ve_8.1.0_all.deb ...
Unpacking proxmox-ve (8.1.0) over (8.0.2) ...
Setting up proxmox-widget-toolkit (4.1.3) ...
Setting up proxmox-kernel-6.5.11-4-pve-signed (6.5.11-4) ...
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 6.5.11-4-pve /boot/vmlinuz-6.5.11-4-pve
dkms: running auto installation service for kernel 6.5.11-4-pve.
Sign command: /lib/modules/6.5.11-4-pve/build/scripts/sign-file
Signing key: /var/lib/dkms/mok.key
Public certificate (MOK): /var/lib/dkms/mok.pub

Building module:
Cleaning build area...
make -j12 KERNELRELEASE=6.5.11-4-pve -j12 -C /lib/modules/6.5.11-4-pve/build M=/var/lib/dkms/blksnap/6.0.3.1221/build modules...(bad exit status: 2)
Error! Bad return status for module build on kernel: 6.5.11-4-pve (x86_64)
Consult /var/lib/dkms/blksnap/6.0.3.1221/build/make.log for more information.
Error! One or more modules failed to install during autoinstall.
Refer to previous errors for more information.
dkms: autoinstall for kernel: 6.5.11-4-pve [31mfailed![0m
run-parts: /etc/kernel/postinst.d/dkms exited with return code 11
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/proxmox-kernel-6.5.11-4-pve-signed.postinst line 20.
dpkg: error processing package proxmox-kernel-6.5.11-4-pve-signed (--configure):
 installed proxmox-kernel-6.5.11-4-pve-signed package post-installation script subprocess returned error exit status 2
Setting up pve-qemu-kvm (8.1.2-4) ...
Setting up proxmox-mail-forward (0.2.2) ...
Setting up libpve-common-perl (8.1.0) ...
Setting up pve-docs (8.1.3) ...
Setting up proxmox-kernel-helper (8.0.9) ...
Installing new version of config file /etc/kernel/postinst.d/proxmox-auto-removal ...
Installing new version of config file /etc/kernel/postinst.d/zz-proxmox-boot ...
Installing new version of config file /etc/kernel/postrm.d/proxmox-auto-removal ...
Installing new version of config file /etc/kernel/postrm.d/zz-proxmox-boot ...
Setting up grub-common (2.06-13+pmx1) ...
Setting up libsocket6-perl (0.29-3) ...
dpkg: dependency problems prevent configuration of proxmox-kernel-6.5:
 proxmox-kernel-6.5 depends on proxmox-kernel-6.5.11-4-pve-signed | proxmox-kernel-6.5.11-4-pve; however:
  Package proxmox-kernel-6.5.11-4-pve-signed is not configured yet.
  Package proxmox-kernel-6.5.11-4-pve is not installed.
  Package proxmox-kernel-6.5.11-4-pve-signed which provides proxmox-kernel-6.5.11-4-pve is not configured yet.

dpkg: error processing package proxmox-kernel-6.5 (--configure):
 dependency problems - leaving unconfigured
Setting up pve-i18n (3.1.2) ...
Setting up libpve-storage-perl (8.0.5) ...
dpkg: dependency problems prevent configuration of proxmox-default-kernel:
 proxmox-default-kernel depends on proxmox-kernel-6.5; however:
  Package proxmox-kernel-6.5 is not configured yet.

dpkg: error processing package proxmox-default-kernel (--configure):
 dependency problems - leaving unconfigured
Setting up proxmox-headers-6.5.11-4-pve (6.5.11-4) ...
Setting up grub-efi-amd64-bin (2.06-13+pmx1) ...
Setting up libnet-subnet-perl (1.03-2) ...
Setting up proxmox-headers-6.5 (6.5.11-4) ...
Setting up libpve-network-perl (0.9.4) ...
Setting up grub2-common (2.06-13+pmx1) ...
Setting up proxmox-default-headers (1.0.1) ...
Setting up grub-pc-bin (2.06-13+pmx1) ...
Setting up grub-pc (2.06-13+pmx1) ...
grub-pc: Running grub-install ...
Installing for i386-pc platform.
File descriptor 3 (pipe:[22468643]) leaked on vgs invocation. Parent PID 317978: grub-install.real
File descriptor 3 (pipe:[22468643]) leaked on vgs invocation. Parent PID 317978: grub-install.real
File descriptor 3 (pipe:[22468643]) leaked on vgs invocation. Parent PID 317978: grub-install.real
Installation finished. No error reported.
  grub-install success for /dev/sdb
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-6.5.11-4-pve
Found linux image: /boot/vmlinuz-6.2.16-19-pve
Found initrd image: /boot/initrd.img-6.2.16-19-pve
Found linux image: /boot/vmlinuz-6.2.16-18-pve
Found initrd image: /boot/initrd.img-6.2.16-18-pve
Found linux image: /boot/vmlinuz-5.15.108-1-pve
Found initrd image: /boot/initrd.img-5.15.108-1-pve
Found linux image: /boot/vmlinuz-5.15.74-1-pve
Found initrd image: /boot/initrd.img-5.15.74-1-pve
Found memtest86+ 64bit EFI image: /boot/memtest86+x64.efi
Adding boot menu entry for UEFI Firmware Settings ...
done
dpkg: dependency problems prevent configuration of proxmox-ve:
 proxmox-ve depends on proxmox-default-kernel; however:
  Package proxmox-default-kernel is not configured yet.

dpkg: error processing package proxmox-ve (--configure):
 dependency problems - leaving unconfigured
Setting up libpve-guest-common-perl (5.0.6) ...
Setting up pve-container (5.0.8) ...
Setting up qemu-server (8.0.10) ...
Setting up pve-manager (8.1.3) ...
Processing triggers for mailcap (3.70+nmu1) ...
Processing triggers for pve-ha-manager (4.0.3) ...
Processing triggers for initramfs-tools (0.142) ...
update-initramfs: Generating /boot/initrd.img-6.2.16-19-pve
Running hook script 'zz-proxmox-boot'..
Re-executing '/etc/kernel/postinst.d/zz-proxmox-boot' in new private mount namespace..
No /etc/kernel/proxmox-boot-uuids found, skipping ESP sync.
System booted in EFI-mode but 'grub-efi-amd64' meta-package not installed!
Install 'grub-efi-amd64' to get updates.
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for man-db (2.11.2-2) ...
Errors were encountered while processing:
 proxmox-kernel-6.5.11-4-pve-signed
 proxmox-kernel-6.5
 proxmox-default-kernel
 proxmox-ve
Log ended: 2023-11-23  18:08:46

Liegt es vielleicht daran?
Was könnte ich hier tun?

3rd Party wäre glaub ich nur Veeam installiert für die Sicherung, ein anders würde mir gerade nicht einfallen.
 
Ist erledigt, habe veeam und blksnap mittels apt remove entfernt und dann ein apt dist-upgrade durchgeführt, den Kernel entpinnt und neu gestartet. Jetzt liegt der aktuelle Kernel 6.5.11-4-pve an :)
Also alles wieder gut, danke für den Tipp mit term.log, an das hatte ich echt nicht gedacht.
 
  • Like
Reactions: fabian
gut dass es so einfach zu loesen war. blksnap ist ja vielleicht sogar bald upstream in linux kernel enthalten, mal schauen ;)
 
gut dass es so einfach zu loesen war. blksnap ist ja vielleicht sogar bald upstream in linux kernel enthalten, mal schauen ;)

Ja aktuell gibts leider keine kompatible Version, habe bereits Veeam angeschrieben wann ein Update des Agents kommt, derweil hab ich also keine Sicherung meines Hosts :/
 
  • Like
Reactions: Treptower
Ich kopiere nur /etc/pve weg. Ein Knoten mal eben neu zu installieren ist ja kein Hexenwerk. ;)
Veeam nutze ich nur in Gästen wegen DB oder AD Restores.

Ja ich weiss, aber nachdem ich aus Bequemlichkeit das gleich in Veeam mitmache wärs halt praktisch ;)
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get yours easily in our online shop.

Buy now!